package com.sqx.modules.sendRecord.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.vo.ResumesBrowseVo;
import com.sqx.modules.app.vo.UserPostPushBrowseVo;
import com.sqx.modules.resumes.entity.PostPush;
import com.sqx.modules.resumes.entity.Resumes;
import com.sqx.modules.sendRecord.entity.SendRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2023-02-02
 */
public interface SendRecordService extends IService<SendRecord> {
    IPage<SendRecord> getRecordList(Integer page, Integer limit, SendRecord sendRecord);

    IPage<UserPostPushBrowseVo> getMyRecordListV2(Integer page, Integer limit, SendRecord sendRecord, PostPush postPush);

    Result topResumes(Long userId);

    Result seeRecord(Long recordId);

    IPage<ResumesBrowseVo> getCompanyRecordListV2(Integer page, Integer limit, SendRecord sendRecord, Resumes resumes);

    Result addSendRecord(Long userId, Long postPushId);
}
